Bug 442719 - BuildRequires: net-snmp-devel needs to specify version
BuildRequires: net-snmp-devel needs to specify version
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 08:50 EDT by Matthew Miller
Modified: 2008-10-15 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 12:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2008-04-16 08:50:42 EDT
I'm attempting to rebuild F9 php on a hacked-up CentOS 5 test machine, and I get
a build failure with this error:

  configure: error: SNMP sanity check failed. Please check config.log for more 
  information.
  error: Bad exit status from /home/mattdm/tmp/rpm-tmp.57048 (%build)

I've got net-snmp-devel-5.3.1-19.el5_1.4 installed. Updating to net-snmp version  
5.4.1 from Rawhide cures the problem.
Comment 1 John Poelstra 2008-04-18 12:16:06 EDT
If the latest package from rawhide cures your problem, can you be more specific
what the bug is here?

Thanks,
John
Comment 2 Bug Zapper 2008-05-14 05:31:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Brennan Ashton 2008-06-07 22:49:38 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matthew Miller 2008-10-15 10:12:29 EDT
From my point of view, the bug is "php requires net-snmp > 5.3 to build; spec file does not contain this information".

It's possible that php or net-snmp could be patched to work around this, but that's apparently the state of upstream.
Comment 5 Joe Orton 2008-10-15 11:39:57 EDT
How does this fail with the latest 5.2.6 package?  Can you attach the config.log & rpmbuild output?

If a newer version of net-snmp were required at build time then I'd expect there to be a check in configure, but there isn't, so, it could either be something more subtle or it could be some problem in your "hacked-up" build environment.
Comment 6 Matthew Miller 2008-10-15 12:35:02 EDT
It's building okay now on a newly-installed CentOS 5 + EPEL host, so either something has changed or my build environment was worse than I thought. I have no strong recollection of the details of the situation six months ago (an eternity!) so I'll just apologize for the noise.

Note You need to log in before you can comment on or make changes to this bug.